qBitTorrent 4.4.0 Adds Torrent v2, Libtorrent 2.0 & Qt6 Support

Last updated: January 9, 2022 — Leave a comment

After more than half a year of development, the qBitTorrent app released version 4.4.0 with many new features and various bug-fixes.

qBitTorrent 4.4.0 added Qt6 support. It offers better HiDPI compatibility for Windows 10+ and Linux using AppImage package. Though, it has known issue about text display on the progress bar. The Qt5 build is still the primary packages, though the next major release will probably drop Qt5 support.

The new release also supports BitTorrent v2 protocol and libtorrent 2.0.x, that use SHA-256 to provide a safer cryptographic hash function.

There are also some other new features, including announce to all trackers if IP changed, “Checking” filter in side pane, “Forced metadata downloading” state, “Skip hash check” option, double-click to show torrent options, temp folder per torrent/category, folder based UI themes, and more.

Other changes in qBitTorrent 4.4.0 include:

  • Remember last viewed page in options.
  • Add ‘Notification timeout’ option.
  • Add context menu to toggle content tab columns.
  • Add windows-clang support and update python installer URL for Windows.
  • Prolong wait time for shutdown for qbittorrent-nox for Linux.
  • Install vector program icon for Linux.
  • Add detection for OpenBSD, Haiku in configure script
  • Update Mac icons for Big Sur
  • Stick Unread row to top in RSS feed list
  • Setting to store/load fastresume/torrent files in an SQLite database
  • More tool-tips, web UI updates, and bug-fixes.

How to Install qBitTorrent 4.4.0:

For Windows, MacOS, Linux AppImage, and source tarball, go to the official download page:

For Linux, the AppImage package is the only way to get the Qt6 build. Just grab it from the link above, make executable in file “Properties” dialog under ‘Permissions’ tab. Finally, click run the package to launch the torrent client.

qBitTorrent is also available as native .deb package for Ubuntu based system via its official Ubuntu PPA. The package will be available in next few days. However, Ubuntu 20.04 is no longer supported because its system Qt5 library does not meet the minimum requirement.

It’s also available to install as universal Flatpak package. Though it takes more disk space due to run-time libraries, the Flatpak was built with GUI lock support.

Twitter

I'm a freelance blogger who started using Ubuntu in 2007 and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me via [email protected]

No Comments

Be the first to start the conversation.

Leave a Reply

Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> 

*

This site uses Akismet to reduce spam. Learn how your comment data is processed.